// widgets/category_circle.dart
// Widget für eine runde Kategorie-Ansicht
import 'package:flutter/material.dart';

class CategoryCircle extends StatelessWidget {
  final String title;
  final IconData icon;

  const CategoryCircle({super.key, required this.title, required this.icon});

  @override
  Widget build(BuildContext context) {
    return Padding(
      padding: const EdgeInsets.only(right: 16.0),
      child: Column(
        children: [
          // Kreis mit Icon
          Container(
            width: 70,
            height: 70,
            decoration: BoxDecoration(
              color: Theme.of(context).colorScheme.primary.withOpacity(0.1),
              shape: BoxShape.circle,
            ),
            child: Icon(
              icon,
              color: Theme.of(context).colorScheme.primary,
              size: 35,
            ),
          ),
          const SizedBox(height: 8),
          // Titel unter dem Kreis
          Text(
            title,
            style: const TextStyle(fontSize: 14, fontWeight: FontWeight.bold),
          ),
        ],
      ),
    );
  }
} 